/*	getresults.cpp	*/

#include "getresults.h"

/* You can set the checkpoints in config.h */
#include "config.h"

QStringList getResults( QString &query )
{
	using namespace std;

#if VALUES>0
	cout << query << endl;
#endif // VALUES

	QFile file( "dict.xml" );
	file.open( IO_ReadOnly);

	QDomDocument xmldoc( "mydoc" );
	xmldoc.setContent( &file );

	QDomElement rootElem = xmldoc.documentElement( );

	QDomNodeList level1 = rootElem.childNodes();	// These are the <term> elements-nodes

	for ( int i=0; i < level1.count(); i++ )
	{
#if CHECK>0
		cout << "check 1" << endl;
#endif // CHECK
		QDomNode tmpiNode = level1.item(i);	// Each <term>
		QDomElement iNode = tmpiNode.toElement();

		QDomNode tmporiginalTag = iNode.firstChild();	// The <original>
		QDomElement originalTag = tmporiginalTag.toElement();
		QString original = originalTag.text();

		if ( original == query)
		{
#if CHECK>0
			cout << "check 2" << endl;
#endif // CHECK
			QDomNodeList translations = iNode.elementsByTagName( "translation" );	// get a list of the translations

			QStringList translation;

			for ( int j=0; j < translations.count(); j++ )
			{
				QDomNode tmptranslation = translations.item(j);
				QDomElement sectmptranslation = tmptranslation.toElement();
				translation.append( sectmptranslation.text() );
#if CHECK>0
				cout << "check 3" << endl;
#endif // CHECK
			}
		return translation;

// Some of the things I've tried:

			/*for ( QStringList::Iterator it = translation.begin(); it != translation.end(); ++it )
			{
				QString out( (*it).unicode() , sizeof(double) );
				cout << "got here" << out << endl;
				results->append( out );

				QString out( (*it).utf8() );
				results->setText( "got here" );

				QString out;
				out = tr( "The results are %1 ").arg( (*it).utf8() );
				cout << "got here" << out << endl;
				results->setText( out );

				QString out;
				results->setText( tr( "Results are %1 " ).arg( (*it).utf8() ) );
#if CHECK>0
				cout << " check 4" << endl;
#endif // CHECK
			}*/
		}
	}

	file.close();
#if CHECK>0
	cout << "check 5" << endl;
#endif // CHECK
}
