/*	grid.cpp	*/

#include "grid.h"
#include "getresults.h"
#include <qlayout.h>
#include <iostream.h>
#include <qstring.h>
#include <qstringlist.h>
#include <qpushbutton.h>
#include <qstylesheet.h>

/* Set your options in config.h */
#include "config.h"

using namespace std;

Grid::Grid(QWidget *parent, const char *name=0)
	: QWidget(parent, name=0)
{
	QGridLayout *layout = new QGridLayout(this, 8, 4, 20);

	QLabel *instructions = new QLabel(this);
	instructions->setText("Enter search term");
	layout->addMultiCellWidget(instructions, 0, 0, 0, 4);

	lineedit = new QLineEdit(this);
	layout->addMultiCellWidget(lineedit, 1, 1, 0, 2);

	find = new QPushButton(this);
	find->setText("Find");
	connect(find, SIGNAL(pressed()),
		this, SLOT(showResults()));
	layout->addWidget(find, 1, 3);

	QLabel *found = new QLabel(this);
	found->setText("Translations found");
	layout->addMultiCellWidget(found, 2, 2, 0, 4);

	QStyleSheet *myStyle = new QStyleSheet();
	
	QTextView *results = new QTextView(this);
	QString inittest( "Initial Text" );
	results->setText( inittest );
	layout->addMultiCellWidget(results, 3, 4, 0, 4);

	QLabel *comments = new QLabel(this);
	comments->setText("Comments");
	layout->addMultiCellWidget(comments, 5, 5, 0, 4);

	QTextView *comment = new QTextView(this);
	layout->addMultiCellWidget(comment, 6, 7, 0, 4);
}
// does nothing, shouldn't be here anyway

Grid::~Grid(){}


int Grid::showResults()
{
	QString query = (*lineedit).text();
	QStringList theResults = getResults( query);
#if CHECK>0
	cout << "before critical point" << endl;
#endif // CHECK
#if SHOW>1
	results->append( "This crashes the program" );
#endif // COMPILABLE

#if SHOW<1
	for (QStringList::Iterator it = theResults.begin(); it!=theResults.end(); it++)
	{
		results->append( (*it).utf8() );
	}
#endif // COMPILABLE
	return 0;
}
